Bug 851745 - Review Request: python-bitlyapi - A thin python wrapper for the bit.ly REST API
Review Request: python-bitlyapi - A thin python wrapper for the bit.ly REST API
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 851746
  Show dependency treegraph
 
Reported: 2012-08-24 23:42 EDT by Ralph Bean
Modified: 2014-10-13 17:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-26 18:34:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-08-24 23:42:54 EDT
Spec URL: http://threebean.org/rpm/python-bitlyapi
SRPM URL: http://threebean.org/rpm/python-bitlyapi-0.1.1-1.fc17.src.rpm
Description: This is a thin Python wrapper for the bit.ly API.  Basic usage looks like this::

    >>> import bitlyapi
    >>> b = bitlyapi.BitLy(api_user, api_key)
    >>> res = b.shorten(longUrl='http://www.google.com/')
    >>> print res['url']
    'http://bit.ly/6Hwstb'
    >>> print res['long_url']
    'http://www.google.com/'

Fedora Account System Username: ralph

rpmlint output:
--- ~/rpmbuild » rpmlint {SPECS,SRPMS}/python-bitlyapi*
python-bitlyapi.src: W: spelling-error Summary(en_US) ly -> l, y, lye
python-bitlyapi.src: W: spelling-error %description -l en_US ly -> l, y, lye
python-bitlyapi.src: W: spelling-error %description -l en_US BitLy -> Bitty, Billy, Fitly
python-bitlyapi.src: W: spelling-error %description -l en_US api -> pi, ape, apt
python-bitlyapi.src: W: spelling-error %description -l en_US longUrl -> longueur, furlong
python-bitlyapi.src: W: spelling-error %description -l en_US http -> HTTP
python-bitlyapi.src: W: spelling-error %description -l en_US www -> WWW, wow
python-bitlyapi.src: W: spelling-error %description -l en_US google -> Google, goggle, googly
python-bitlyapi.src: W: spelling-error %description -l en_US url -> URL, curl, purl
1 packages and 1 specfiles checked; 0 errors, 9 warnings.


koji - f18 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4421401
Comment 1 Mario Blättermann 2012-08-27 05:32:37 EDT
(In reply to comment #0)
> Spec URL: http://threebean.org/rpm/python-bitlyapi
This link doesn't exist. Should be
http://threebean.org/rpm/python-bitlyapi.spec
Comment 2 Ralph Bean 2012-08-27 08:53:59 EDT
That's correct.  My apologies: I was being hasty.

Spec URL: http://threebean.org/rpm/python-bitlyapi.spec
SRPM URL: http://threebean.org/rpm/python-bitlyapi-0.1.1-1.fc17.src.rpm
Comment 3 Mario Blättermann 2012-08-27 11:36:05 EDT
$ rpmlint -i -v *
python-bitlyapi.src: I: checking
python-bitlyapi.src: W: spelling-error Summary(en_US) ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US BitLy -> Bitty, Billy, Fitly
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US api -> pi, ape, apt
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US longUrl -> longueur, furlong
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US www -> WWW, wow
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US google -> Google, goggle, googly
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.src: I: checking-url http://pypi.python.org/pypi/bitlyapi (timeout 10 seconds)
python-bitlyapi.src: I: checking-url http://pypi.python.org/packages/source/b/bitlyapi/bitlyapi-0.1.1.tar.gz (timeout 10 seconds)
python-bitlyapi.noarch: I: checking
python-bitlyapi.noarch: W: spelling-error Summary(en_US) ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US ly -> l, y, lye
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US BitLy -> Bitty, Billy, Fitly
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US api -> pi, ape, apt
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US longUrl -> longueur, furlong
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US www -> WWW, wow
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US google -> Google, goggle, googly
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
The value of this tag appears to be misspelled. Please double-check.

python-bitlyapi.noarch: I: checking-url http://pypi.python.org/pypi/bitlyapi (timeout 10 seconds)
python-bitlyapi.noarch: W: no-manual-page-for-binary bitly
Each executable in standard binary directories should have a man page.

python-bitlyapi.spec: I: checking-url http://pypi.python.org/packages/source/b/bitlyapi/bitlyapi-0.1.1.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 19 warnings.


Spelling errors are ignorable, just remove the double ":" and all is fine.


Some more issues:

In the %files list, remove the %defattr line. It is obsolete for ages. Moreover, the hardcoded /usr/bin/ has to be %{_bindir}/%{name}.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    fb074088bcefe884d7dd61165185486597f394b72b862090485d8bf3305be44f  bitlyapi-0.1.1.tar.gz
    fb074088bcefe884d7dd61165185486597f394b72b862090485d8bf3305be44f  bitlyapi-0.1.1.tar.gz.orig
[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


Once you have fixed the issues mentioned above, I will approve your package.
Comment 4 Ralph Bean 2012-08-27 12:35:14 EDT
Thanks!
- Removed deprecated defattr
- Replaced hardcoded /usr/bin with %%{_bindir}
- Removed double "::" in the %%description.

Spec URL: http://threebean.org/rpm/python-bitlyapi.spec
SRPM URL: http://threebean.org/rpm/python-bitlyapi-0.1.1-2.fc17.src.rpm
Comment 5 Mario Blättermann 2012-08-29 14:26:30 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4435402

The same rpmlint output as above, no blockers.


----------------

PACKAGE APPROVED

----------------
Comment 6 Ralph Bean 2012-08-29 15:16:57 EDT
Thanks Mario!
Comment 7 Ralph Bean 2012-08-29 15:17:46 EDT
New Package SCM Request
=======================
Package Name: python-bitlyapi
Short Description: A thin python wrapper for the bit.ly REST API
Owners: ralph
Branches: f17 f18
InitialCC:
Comment 8 Gwyn Ciesla 2012-08-29 15:19:52 EDT
Git done (by process-git-requests).
Comment 9 Ralph Bean 2012-09-06 13:52:23 EDT
Updates -> https://admin.fedoraproject.org/updates/python-bitlyapi
Comment 10 Ralph Bean 2012-12-07 15:27:29 EST
Package Change Request
======================
Package Name: python-bitlyapi
New Branches: el6
Owners: ralph
InitialCC:
Comment 11 Gwyn Ciesla 2012-12-07 15:52:02 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-12-07 22:05:36 EST
python-bitlyapi-0.1.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-bitlyapi-0.1.1-2.el6
Comment 13 Mario Blättermann 2012-12-26 18:34:38 EST
I close this review request, because packages are marked as stable now.
Comment 14 Fedora Update System 2013-01-04 14:40:32 EST
python-bitlyapi-0.1.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Ralph Bean 2014-09-17 11:22:44 EDT
Package Change Request
======================
Package Name: python-bitlyapi
New Branches: epel7
Owners: ralph
Comment 16 Gwyn Ciesla 2014-09-17 12:53:47 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-09-17 14:15:22 EDT
python-bitlyapi-0.1.1-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-bitlyapi-0.1.1-5.el7
Comment 18 Fedora Update System 2014-10-13 17:39:04 EDT
python-bitlyapi-0.1.1-5.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.